gr-baz Package

gr::baz::dpll_bb Class Referenceabstract

Detect the peak of a signal. More...

`#include <baz_dpll_bb.h>`

Inheritance diagram for gr::baz::dpll_bb:
[legend]

## Public Types
typedef boost::shared_ptr< dpll_bb > | sptr

## Public Member Functions
virtual void | set_gain (float gain)=0
virtual void | set_decision_threshold (float thresh)=0
virtual float | gain () const =0
virtual float | freq () const =0
virtual float | phase () const =0
virtual float | decision_threshold () const =0

## Static Public Member Functions
static sptr | make (float period, float gain, float relative_limit=1.0, float ignore_limit=1.0, const std::string length_tag="", bool verbose=false, bool unlocked=false)

## Detailed Description

Detect the peak of a signal.

If a peak is detected, this block outputs a 1, or it outputs 0's.

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<dpll_bb> gr::baz::dpll_bb::sptr

## Member Function Documentation

## ◆ decision_threshold()

virtual float gr::baz::dpll_bb::decision_threshold | ( |  | ) | const
| pure virtual

## ◆ freq()

virtual float gr::baz::dpll_bb::freq | ( |  | ) | const
| pure virtual

## ◆ gain()

virtual float gr::baz::dpll_bb::gain | ( |  | ) | const
| pure virtual

Referenced by make(), and set_gain().

## ◆ make()

sptr gr::baz::dpll_bb::make | ( | float | period,
|  | float | gain,
|  | float | relative_limit = 1.0,
|  | float | ignore_limit = 1.0,
|  | const std::string | length_tag = "",
|  | bool | verbose = false,
|  | bool | unlocked = false )
| static

References gain().

## ◆ phase()

virtual float gr::baz::dpll_bb::phase | ( |  | ) | const
| pure virtual

## ◆ set_decision_threshold()

virtual void gr::baz::dpll_bb::set_decision_threshold | ( | float | thresh | ) |
| pure virtual

## ◆ set_gain()

virtual void gr::baz::dpll_bb::set_gain | ( | float | gain | ) |
| pure virtual

References gain().

The documentation for this class was generated from the following file:

- baz_dpll_bb.h